export LS_COLORS="\
di=0;94\
"

# list current directory’s entries
l() {
	ls \
		--all \
		--color \
		-l \
		-p \
		--time-style "+" \
		"${@}"
}

# list timestamps
lt() {
	l \
		--time-style "+%Y%m%d-%H%M%S%-:::z" \
		"${@}"
}

# list timestamps recent last
ltt() {
	lt \
		--reverse \
		-t \
		"${@}"
}
