# synchronize
rs() {
	rsb \
		"${@}"
}

# base arguments
rsb() {
	rsync \
		--archive \
		--no-inc-recursive \
		--partial \
		--progress \
		--verbose \
		"${@}"
}

# synchronize and delete after
rsda() {
	rsb \
		--delete-after \
		"${@}"
}

# synchronize and delete before
rsdb() { r_sync_delete_before "${@}"; }
r_sync_delete_before() {
	rsb \
		--delete-before \
		"${@}"
}
