# turn gpg agent off
gak() { gpg_agent_kill "${@}"; }
gpg_agent_kill() {
	gpgconf \
		--kill "gpg-agent"
}

# bind gpg agent to current tty
gau() { gpg_agent_update "${@}"; }
gpg_agent_update() {
	gpg-connect-agent \
		updatestartuptty \
		/bye
}

gpg_ssh() {
	local user_id
	user_id=$(id --user)
	if [ "${user_id}" -ne 0 ]; then
		if [ -f "${HOME}/.gnupg/gpg-agent.conf" ]; then
			SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket)"
			export SSH_AUTH_SOCK
		fi
	fi
}

gpg_ssh
