# show package information
acl() {
	apt-cache \
		show \
		"${@}"
}

# package versions policy
acp() {
	apt-cache \
		policy \
		"${@}"
}

# search package
acs() {
	apt-cache \
		search \
		"${@}"
}

#
agap() {
	apt-get \
		autopurge \
		"${@}"
}

#
agar() {
	apt-get \
		autoremove \
		"${@}"
}

# clean packages cache
agc() {
	apt-get \
		clean \
		"${@}"
}

# upgrade allowing package installation or removal
agfu() {
	apt-get \
		full-upgrade \
		"${@}"
}

# install packages
agi() {
	apt-get \
		install \
		"${@}"
}

#
agp() {
	apt-get \
		purge \
		"${@}"
}

#
agr() {
	apt-get \
		remove \
		"${@}"
}

# update packages catalog
agud() {
	apt-get \
		update \
		"${@}"
}

# upgrade forbidding package installation or removal
agug() {
	apt-get \
		upgrade \
		"${@}"
}
